import 'package:json_annotation/json_annotation.dart';

part 'skip_model.g.dart';

@JsonSerializable()
class SkipModel extends Object {
  @JsonKey(name: 'name')
  String name;

  @JsonKey(name: 'icon')
  String icon;

  @JsonKey(name: 'required_login')
  String requiredLogin;

  @JsonKey(name: 'required_taobao_auth')
  String requiredTaobaoAuth;

  @JsonKey(name: 'skip_identifier')
  String skipIdentifier;

  SkipModel(
    this.name,
    this.icon,
    this.requiredLogin,
    this.requiredTaobaoAuth,
    this.skipIdentifier,
  );

  factory SkipModel.fromJson(Map<String, dynamic> srcJson) =>
      _$SkipModelFromJson(srcJson);

  Map<String, dynamic> toJson() => _$SkipModelToJson(this);
}
